/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Statelesslistener.java,v 1.2 2005/12/13 23:44:48 benoitf Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.ejb3.examples.statelessbean;

import javax.ejb.PostConstruct;

/**
 * Simple listener.
 * @author Florent Benoit
 */
public class Statelesslistener {

    /**
     * Callback in an external class.
     * @param bean the bean instance.
     */
    @PostConstruct
    public void myPostConst(final Object bean) {
        System.out.println("postConstruct in class Statelesslistener of bean " + bean);
    }

}
